package com.ruoyi.sim.mapper;

import java.util.List;

import com.ruoyi.sim.domain.DebugFault;

/**
 * 调试故障Mapper接口
 *
 * @author tom
 * @date 2025-02-10
 */
public interface DebugFaultMapper {
    /**
     * 查询调试故障
     *
     * @param refId 调试故障主键
     * @return 调试故障
     */
    public DebugFault selectDebugFaultByRefId(Long refId);

    /**
     * 查询调试故障列表
     *
     * @param debugFault 调试故障
     * @return 调试故障集合
     */
    public List<DebugFault> selectDebugFaultList(DebugFault debugFault);

    /**
     * 新增调试故障
     *
     * @param debugFault 调试故障
     * @return 结果
     */
    public int insertDebugFault(DebugFault debugFault);

    /**
     * 修改调试故障
     *
     * @param debugFault 调试故障
     * @return 结果
     */
    public int updateDebugFault(DebugFault debugFault);

    /**
     * 删除调试故障
     *
     * @param refId 调试故障主键
     * @return 结果
     */
    public int deleteDebugFaultByRefId(Long refId);

    /**
     * 批量删除调试故障
     *
     * @param refIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDebugFaultByRefIds(Long[] refIds);
}
